PropertyChangeListenerProxy (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.beans, class: PropertyChangeListenerProxy
Keywords: java.beans.PropertyChangeListenerProxy class

# Class PropertyChangeListenerProxy

java.lang.Object
java.util.EventListenerProxy<PropertyChangeListener>
java.beans.PropertyChangeListenerProxy

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

public class PropertyChangeListenerProxy extends EventListenerProxy<PropertyChangeListener> implements PropertyChangeListener
A class which extends the `EventListenerProxy` specifically for adding a `PropertyChangeListener` with a "bound" property. Instances of this class can be added as `PropertyChangeListener`s to a bean which supports firing property change events.

If the object has a `getPropertyChangeListeners` method then the array returned could be a mixture of `PropertyChangeListener` and `PropertyChangeListenerProxy` objects.

Since:
  1.4
See Also:
  - `EventListenerProxy`
  - `PropertyChangeSupport.getPropertyChangeListeners()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyChangeListenerProxy(String propertyName, PropertyChangeListener listener)`
  Constructor which binds the `PropertyChangeListener` to a specific property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  Returns the name of the named property associated with the listener.
  `void`
  `propertyChange(PropertyChangeEvent event)`
  Forwards the property change event to the listener delegate.

  ### Methods declared in class EventListenerProxy

  `getListener`
  Modifier and Type
  Method
  Description
  `PropertyChangeListener`
  `getListener()`
  Returns the listener associated with the proxy.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PropertyChangeListenerProxy

    public PropertyChangeListenerProxy(String propertyName, PropertyChangeListener listener)
    Constructor which binds the `PropertyChangeListener` to a specific property.
    Parameters:
      `propertyName` - the name of the property to listen on
      `listener` - the listener object

- ## Method Details

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent event)
    Forwards the property change event to the listener delegate.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `event` - the property change event

  - ### getPropertyName

    public String getPropertyName()
    Returns the name of the named property associated with the listener.
    Returns:
      the name of the named property associated with the listener